{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}



{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">

            <h1>Account Management</h1>
            <nav class="breadcrumb-container d-none d-sm-block d-lg-inline-block" aria-label="breadcrumb">
                <ol class="breadcrumb pt-0">
                    <li class="breadcrumb-item">
                        {% comment %} <a href="{% url 'dashboard:home' %}">Home</a> {% endcomment %}
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:application-list' %}">Applications </a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:application-edit' project.application.sku %}">Application ID
                            {{ project.application.sku|truncatechars:10 }} </a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Project ID [ {{ project.sku }} ]</li>
                </ol>
            </nav>
            <div class="separator mb-5"></div>


        </div>
    </div>

    <div class="row">
        <div class="col-12 col-lg-12 mb-5">

            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="mb-4" style="float: left;">Project Modification</h5>
                    {% if messages %}
                    {% for message in messages %}
                    {% if 'error' in message.tags %}
                    <div class="alert alert-danger">
                        {% else %}
                        <div class="alert alert-{{ message.tags }}">
                            {% endif %}
                            <li {% if message.tags %}class="{{ message.tags }}" {% endif %}>{{ message }}</li>
                        </div>
                        {% endfor %}
                        {% endif %}

                        {% if form.errors %}
                        <div class="alert alert-danger">
                            {{ form.errors }}
                        </div>
                        {% endif %}

                                {% comment %} action="{% url 'dashboard:application-project-published' project.application.sku project.sku %}"> {% endcomment %}
                        {% if not project.is_published %}
                        <div style="float: right;">
                            <form method="POST"
                                id="project-published"
                                action="#">
                                {% csrf_token %}
                                <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                                <input type="hidden" name="is_published" class="form-control invisible" value='true' />
                                <button type="submit" class="btn btn-danger btn-lg">Finalize your Project</button>
                            </form>
                        </div>
                        <div class="clearfix"></div>
                        {% else %}
                                {% comment %} action="{% url 'dashboard:application-project-shown' project.application.sku project.sku %}"> {% endcomment %}
                        <div style="float: right;">
                            <form method="POST"
                                id="project-shown"
                                action="#">
                                {% csrf_token %}
                                <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                                {% if project.is_shown %}
                                    <input type="hidden" name="is_shown" class="form-control invisible" value='false' />
                                    <button type="submit" class="btn btn-info btn-lg">Hidden Project on site</button>
                                {% else %}
                                    <input type="hidden" name="is_shown" class="form-control invisible" value='true' />
                                    <button type="submit" class="btn btn-info btn-lg">Show Project from site</button>
                                {% endif %}

                            </form>
                        </div>
                        <div class="clearfix"></div>
                        {% endif %}

                        <hr />
                        {% if not project.is_published %}

                        <form method="POST" enctype="multipart/form-data" class="tooltip-label-right"
                            id="project-draft"
                            action="{% url 'dashboard:application-project-edit' project.application.sku project.sku %}">
                            {% csrf_token %}
                            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.title.label }}</label>
                                {% render_field form.title class="form-control"  %}

                                <div class="invalid-tooltip">
                                    {{ form.title.label }} is required!
                                </div>
                            </div>

                            <label>{{ form.summary.label }}</label>
                            <div class="form-group position-relative error-l-50">
                                {% render_field form.summary class="form-control"  %}

                                <div class="invalid-tooltip">
                                    {{ form.summary.label }} is required!
                                </div>
                            </div>

                            <label>{{ form.content.label }}</label>
                            <div class="form-group position-relative error-l-50">
                                {% render_field form.content class="form-control"  %}

                                <div class="invalid-tooltip">
                                    {{ form.content.label }} is required!
                                </div>
                            </div>

                            <div class="form-group position-relative error-l-50">
                                <label>{{ form.cover.label }}</label>
                                {% render_field form.cover class="form-control"  %}

                                <div class="invalid-tooltip">
                                    {{ form.cover.label }} is required!
                                </div>
                            </div>

                            <div class="btn-group mr-2 mb-1" role="group">
                                <button type="submit" class="btn btn-outline-primary ">Save</button>
                                {% comment %} <a class="btn btn-outline-info " href="{% url 'dashboard:project-view' project.application.sku project.sku %}">Preview</a> {% endcomment %}
                                <a class="btn btn-outline-info " href="#">Preview</a>
                            </div>
                            
                            
                        </form>

                        {% else %}

                        <h5>Title</h5>
                        <div class="form-group position-relative">
                            <input type="text" disabled="disabled" class="form-control" value={{ project.title }}>
                        </div>


                        <a href="{% url 'dashboard:project-view' project.application.sku project.sku %}">Preview Design
                            of project</a>


                        {% endif %}


                    </div>
                </div>
            </div>
        </div>

    </div>

    {% endblock %}



    {% block scripts %}
    <script>
        window.CKEDITOR_BASEPATH = '/static/ckeditor/ckeditor/';
    </script>
    <script src="{% static 'assets/dashboard/js/vendor/ckeditor5-build-classic/ckeditor.js' %}"></script>

    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>

    <script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
    <script>
        grecaptcha.ready(function() {
            $('#project-draft').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    <script>
        grecaptcha.ready(function() {
            $('#project-published').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    <script>
        grecaptcha.ready(function() {
            $('#project-shown').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
    {% endblock %}